Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSubnetsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeSubnetsRequest

    public class DescribeSubnetsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeSubnets operation`.

Gives you information about your subnets. You can filter the results to return information only about subnets that match criteria you specify. For example, you could ask to get information about a particular subnet (or all) only if the subnet's state is available. You can specify multiple filters (e.g., the subnet is in a particular VPC, and the subnet's state is available). The result includes information for a particular subnet only if the subnet matches all your filters. If there's no match, no special message is returned; the response is simply empty. The following table shows the available filters.

See Also:
  `AmazonEC2.describeSubnets(DescribeSubnetsRequest)`

Constructor Summary
`DescribeSubnetsRequest()`

Method Summary
`List<Filter>` | `getFilters()`
`List<String>` | `getSubnetIds()` A set of one or more subnet IDs.
`void` | `setFilters(Collection<Filter> filters)`
`void` | `setSubnetIds(Collection<String> subnetIds)` A set of one or more subnet IDs.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSubnetsRequest` | `withFilters(Collection<Filter> filters)` Returns a reference to this object so that method calls can be chained together.
`DescribeSubnetsRequest` | `withFilters(Filter... filters)` Returns a reference to this object so that method calls can be chained together.
`DescribeSubnetsRequest` | `withSubnetIds(Collection<String> subnetIds)` A set of one or more subnet IDs.
`DescribeSubnetsRequest` | `withSubnetIds(String... subnetIds)` A set of one or more subnet IDs.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSubnetsRequest

    public DescribeSubnetsRequest()

Method Detail

### getSubnetIds

    public List<String> getSubnetIds()

  A set of one or more subnet IDs.

  Returns:
    A set of one or more subnet IDs.

### setSubnetIds

    public void setSubnetIds(Collection<String> subnetIds)

  A set of one or more subnet IDs.

  Parameters:
    `subnetIds` - A set of one or more subnet IDs.

### withSubnetIds

    public DescribeSubnetsRequest withSubnetIds(String... subnetIds)

  A set of one or more subnet IDs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnetIds` - A set of one or more subnet IDs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSubnetIds

    public DescribeSubnetsRequest withSubnetIds(Collection<String> subnetIds)

  A set of one or more subnet IDs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `subnetIds` - A set of one or more subnet IDs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getFilters

    public List<Filter> getFilters()

  Returns:

### setFilters

    public void setFilters(Collection<Filter> filters)

  Parameters:
    `filters` -

### withFilters

    public DescribeSubnetsRequest withFilters(Filter... filters)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `filters` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withFilters

    public DescribeSubnetsRequest withFilters(Collection<Filter> filters)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `filters` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.